<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iWatchTriggerFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iWatchTriggerFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iWatchTriggerFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the trigger that fires when a mesh becomes visible.  
 <a href="structiWatchTriggerFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="triggers_8h_source.html">tools/triggers.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iWatchTriggerFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiWatchTriggerFactory.png" usemap="#iWatchTriggerFactory_map" alt=""/>
  <map id="iWatchTriggerFactory_map" name="iWatchTriggerFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,135,24"/>
</map>
 </div></div>

<p><a href="structiWatchTriggerFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiWatchTriggerFactory.html#a212121f358fe2e5a0fb742bca2bd0302">SetChecktimeParameter</a> (const char *time)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the interval (in milliseconds) after which this trigger will check visibility again.  <a href="#a212121f358fe2e5a0fb742bca2bd0302"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiWatchTriggerFactory.html#a59152ef7cdfe840a96fd6066b3c41446">SetEntityParameter</a> (const char *entity, const char *tag=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the source entity containing the pcmesh property class on which this trigger will fire.  <a href="#a59152ef7cdfe840a96fd6066b3c41446"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiWatchTriggerFactory.html#a4aed6450b17b149b86c3cd55f9c87bbd">SetOffsetParameter</a> (const char *offsetx, const char *offsety, const char *offsetz)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional offset parameter.  <a href="#a4aed6450b17b149b86c3cd55f9c87bbd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiWatchTriggerFactory.html#a35b8109317af5309fbce80851aa273fb">SetRadiusParameter</a> (const char *radius)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the maximum radius for visibility checking.  <a href="#a35b8109317af5309fbce80851aa273fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiWatchTriggerFactory.html#ae804773f3ae5142175f9a44fea3d005c">SetTargetEntityParameter</a> (const char *entity, const char *tag=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the target entity containing the pcmesh property class on which this trigger will fire.  <a href="#ae804773f3ae5142175f9a44fea3d005c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the trigger that fires when a mesh becomes visible. </p>
<p>You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this trigger type is 'cel.triggers.watch'.</p>
<p>In XML, factories recognize the following attributes on the 'fireon' node:</p>
<ul>
<li><em>entity</em>: the name of the source entity that is watching out for other entity. This should contain a pcmesh to get a position from.</li>
<li><em>entity_tag</em>: optional tag used to find the right property class from the entity.</li>
<li><em>target</em>: the name of the target entity to watch. This should contain a pcmesh to get a position from.</li>
<li><em>target_tag</em>: optional tag used to find the right property class from the target entity.</li>
<li><em>checktime</em>: optional tag to specify the check interval.</li>
<li><em>radius</em>: optional tag to specify the maximum radius.</li>
<li><em>offset</em>: optional offset vector. This node has 'x', 'y, and 'z' attributes. Each of these attributes can be a parameter. </li>
</ul>

<p>Definition at line <a class="el" href="triggers_8h_source.html#l00567">567</a> of file <a class="el" href="triggers_8h_source.html">triggers.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a212121f358fe2e5a0fb742bca2bd0302"></a><!-- doxytag: member="iWatchTriggerFactory::SetChecktimeParameter" ref="a212121f358fe2e5a0fb742bca2bd0302" args="(const char *time)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiWatchTriggerFactory.html#a212121f358fe2e5a0fb742bca2bd0302">iWatchTriggerFactory::SetChecktimeParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the interval (in milliseconds) after which this trigger will check visibility again. </p>
<p>By default this is equal to 1000 which means there will be a check every second. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">time</td><td>is the interval in milliseconds or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a59152ef7cdfe840a96fd6066b3c41446"></a><!-- doxytag: member="iWatchTriggerFactory::SetEntityParameter" ref="a59152ef7cdfe840a96fd6066b3c41446" args="(const char *entity, const char *tag=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiWatchTriggerFactory.html#a59152ef7cdfe840a96fd6066b3c41446">iWatchTriggerFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the source entity containing the pcmesh property class on which this trigger will fire. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
    <tr><td class="paramname">tag</td><td>is the optional tag of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4aed6450b17b149b86c3cd55f9c87bbd"></a><!-- doxytag: member="iWatchTriggerFactory::SetOffsetParameter" ref="a4aed6450b17b149b86c3cd55f9c87bbd" args="(const char *offsetx, const char *offsety, const char *offsetz)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiWatchTriggerFactory.html#a4aed6450b17b149b86c3cd55f9c87bbd">iWatchTriggerFactory::SetOffsetParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>offsetx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>offsety</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>offsetz</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional offset parameter. </p>
<p>This offset will be added to the position of the start and target locations. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">offsetx</td><td>is the x offset or a parameter (starts with '$'). </td></tr>
    <tr><td class="paramname">offsety</td><td>is the y offset or a parameter (starts with '$'). </td></tr>
    <tr><td class="paramname">offsetz</td><td>is the z offset or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a35b8109317af5309fbce80851aa273fb"></a><!-- doxytag: member="iWatchTriggerFactory::SetRadiusParameter" ref="a35b8109317af5309fbce80851aa273fb" args="(const char *radius)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiWatchTriggerFactory.html#a35b8109317af5309fbce80851aa273fb">iWatchTriggerFactory::SetRadiusParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>radius</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the maximum radius for visibility checking. </p>
<p>By default this is equal to infinity. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">radius</td><td>is the maximum radius or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae804773f3ae5142175f9a44fea3d005c"></a><!-- doxytag: member="iWatchTriggerFactory::SetTargetEntityParameter" ref="ae804773f3ae5142175f9a44fea3d005c" args="(const char *entity, const char *tag=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiWatchTriggerFactory.html#ae804773f3ae5142175f9a44fea3d005c">iWatchTriggerFactory::SetTargetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the target entity containing the pcmesh property class on which this trigger will fire. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
    <tr><td class="paramname">tag</td><td>is the optional tag of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="triggers_8h_source.html">triggers.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
